"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var slopeBelowZero = 0.01;

var LeakyRelu = function () {
    function LeakyRelu() {
        _classCallCheck(this, LeakyRelu);
    }

    _createClass(LeakyRelu, [{
        key: "xToY",
        value: function xToY(x) {
            if (x > 0) {
                return x;
            } else {
                return slopeBelowZero * x;
            }
        }
    }, {
        key: "yToSlope",
        value: function yToSlope(y) {
            if (y > 0) {
                return 1;
            } else {
                return slopeBelowZero;
            }
        }
    }]);

    return LeakyRelu;
}();

exports.default = LeakyRelu;